#pragma once

//class StylizedGLWindow;

#pragma warning(push)
#pragma warning(disable:4312)
#pragma warning(disable:4311)
#include <Fl/Fl_Double_Window.h>
#include <Fl/Fl_Button.h>
#include <Fl/Fl_Group.H>
#include <Fl/Fl_Browser.H>
#pragma warning(pop)

#include "StylizedGLWindow.h"


class StylizedGUI : public Fl_Double_Window
{

public:
	StylizedGUI(const int x=50, const int y=50);

	StylizedGLWindow* glWindow;

	Fl_Group* widgets;

	Fl_Button* stylizeButton; //button to actually stylize the scene
	Fl_Button* gaussButton; //??

	Fl_Browser* sceneBrowser; //browser to choose which 3D scene to stylize?

	void damageMe();
	//whichB == 0 for stylize
	//		 == 1 for unstylize
	void togglifyStylize(Fl_Button* b, int state=0);
	void togglifyGauss(Fl_Button* b, int state=0);
};

void damageCB(Fl_Widget*, StylizedGUI* sg);